import l from "clsx";
import { jsx as i, jsxs as _, Fragment as se } from "react/jsx-runtime";
import I, { useRef as w, useLayoutEffect as D, useMemo as q, useState as le, useEffect as G, useCallback as oe, useContext as N } from "react";
/*!
  @versini/ui-table v3.1.12
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "3.1.12",
    buildTime: "03/14/2025 02:25 PM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const R = "thead", P = "tfoot", p = "tbody", B = {
  ASC: "asc",
  DESC: "desc"
}, ie = ({
  mode: e,
  className: a,
  wrapperClassName: t,
  stickyHeader: r,
  stickyFooter: s
}) => ({
  wrapper: l(
    "not-prose relative w-full rounded-lg shadow-md",
    {
      "overflow-x-auto": !r && !s,
      "overflow-y-scroll": r || s,
      "bg-surface-darker": e === "dark" || e === "system",
      "bg-surface-light": e === "light" || e === "alt-system",
      "dark:bg-surface-light": e === "system",
      "dark:bg-surface-darker": e === "alt-system",
      "text-copy-light": e === "dark",
      "text-copy-dark": e === "light",
      "text-copy-light dark:text-copy-dark": e === "system",
      "text-copy-dark dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: l("my-0 w-full text-left text-sm", a, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: l("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), ne = ({
  className: e,
  stickyHeader: a,
  mode: t
}) => l(
  {
    "sticky top-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "alt-system"
  },
  e
), ce = ({
  className: e,
  stickyFooter: a,
  mode: t
}) => l(
  {
    "sticky bottom-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "alt-system"
  },
  e
), de = ({
  mode: e,
  className: a,
  cellWrapper: t
}) => t === R || t === P ? l(
  {
    "bg-table-head-dark": e === "dark" || e === "system",
    "bg-table-head-light": e === "light" || e === "alt-system",
    "dark:bg-table-head-light": e === "system",
    "dark:bg-table-head-dark": e === "alt-system"
  },
  a
) : l(
  "border-b last:border-0",
  {
    "border-table-dark": e === "dark" || e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even": t === p && e === "dark",
    "border-table-light": e === "light" || e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even": t === p && e === "light",
    "dark:border-table-light": e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === p && e === "system",
    "dark:border-table-dark": e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === p && e === "alt-system"
  },
  a
), ge = ({
  cellWrapper: e,
  className: a,
  compact: t,
  mode: r,
  align: s
}) => ({
  alignClasses: l({
    "flex justify-start text-left": s === "left",
    "flex justify-center text-center": s === "center",
    "flex justify-end text-right": s === "right"
  }),
  mainClasses: l(
    {
      "text-copy-light": r === "dark" || r === "system",
      "text-copy-dark": r === "light" || r === "alt-system",
      "dark:text-copy-dark": r === "system",
      "dark:text-copy-light": r === "alt-system",
      "px-4 py-3": !t && (e === R || e === P),
      "p-4": !t && e === p,
      "px-2 py-1.5": t
    },
    a
  )
}), he = ({
  buttonClassName: e
}) => l("rounded-none text-sm", e), F = "av-button", E = "icon", $ = "button", O = "link", be = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r,
  align: s,
  animated: o
}) => {
  const n = "max-h-8 py-0 px-2", d = "max-h-9 h-8 px-3", c = "max-h-12 py-2 px-4";
  switch (e) {
    case $:
    case O:
      return l({
        [n]: a === "small",
        [d]: a === "medium",
        [c]: a === "large"
      });
    case E:
      return l("flex items-center", {
        "justify-center": s === "center",
        "justify-start": s === "left",
        "justify-end": s === "right",
        "h-6 w-6 p-0": a === "small" && !o && !(t || r),
        "h-6 px-2": a === "small" && !o && (t || r),
        "h-8 w-8 p-1": a === "medium" && !o && !(t || r),
        "h-8 px-3": a === "medium" && !o && (t || r),
        "h-12 w-12 p-2": a === "large" && !o && !(t || r),
        "h-12 px-4": a === "large" && !o && (t || r),
        "h-6 py-0": a === "small" && o && !(t || r),
        "h-6": a === "small" && o && (t || r),
        "h-8 py-1": a === "medium" && o && !(t || r),
        "h-8": a === "medium" && o && (t || r),
        "h-12 py-2": a === "large" && o && !(t || r),
        "h-12": a === "large" && o && (t || r)
      });
  }
}, me = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r
}) => {
  const s = "text-sm font-medium", o = "text-base font-medium", n = "text-lg font-medium";
  switch (e) {
    case $:
    case O:
      return l({
        "text-center": e === O,
        [s]: a === "small",
        [o]: a === "medium",
        [n]: a === "large"
      });
    case E:
      return l({
        [s]: a === "small" && (t || r),
        [o]: a === "medium" && (t || r),
        [n]: a === "large" && (t || r)
      });
  }
}, ue = ({
  mode: e,
  noBackground: a,
  truncate: t,
  variant: r
}) => {
  if (a)
    return "not-prose";
  if (r === "primary")
    return l("not-prose", {
      truncate: t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (r === "secondary")
    return l("not-prose", {
      truncate: t,
      "text-copy-light": e === "light" || e === "system",
      "text-copy-lighter": e === "dark" || e === "alt-system",
      "dark:text-copy-lighter": e === "alt-system",
      "dark:text-copy-light": e === "system"
    });
  if (r === "danger")
    return l("not-prose", {
      truncate: t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (r === "selected")
    return l("not-prose text-copy-lighter", {
      truncate: t
    });
}, ye = ({
  mode: e,
  noBackground: a,
  variant: t
}) => {
  if (!a) {
    if (t === "primary")
      return l({
        "bg-action-dark": e === "dark",
        "bg-action-light": e === "light",
        "bg-action-dark dark:bg-action-light": e === "system",
        "bg-action-light dark:bg-action-dark": e === "alt-system"
      });
    if (t === "secondary")
      return l({
        "bg-action-dark": e === "light",
        "bg-action-light": e === "dark",
        "bg-action-dark dark:bg-action-light": e === "alt-system",
        "bg-action-light dark:bg-action-dark": e === "system"
      });
    if (t === "danger")
      return l({
        "bg-action-danger-dark": e === "dark",
        "bg-action-danger-light": e === "light",
        "bg-action-danger-dark dark:bg-action-danger-light": e === "system",
        "bg-action-danger-light dark:bg-action-danger-dark": e === "alt-system"
      });
    if (t === "selected")
      return "bg-action-selected-dark";
  }
}, ke = ({
  radius: e
}) => l({
  "rounded-full": e === "large",
  "rounded-md": e === "medium",
  "rounded-sm": e === "small"
}), fe = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return l("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return l("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return l("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
  if (t === "selected")
    return "hover:text-copy-light-hover hover:bg-action-selected-dark-hover";
}, ve = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return l("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return l("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return l("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
  if (t === "selected")
    return "active:text-copy-lighter-active active:bg-action-selected-dark-active";
}, pe = ({
  mode: e,
  noBorder: a,
  variant: t
}) => {
  if (a)
    return "border border-transparent";
  if (t === "primary")
    return l("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return l("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return l("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
  if (t === "selected")
    return "border border-border-selected-dark";
}, _e = ({
  focusMode: e
}) => l("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), xe = ({
  mode: e,
  raw: a,
  iconClassName: t
}) => a ? "" : l(
  {
    "text-copy-accent-dark": e === "light" || e === "alt-system",
    "text-copy-light": e === "dark" || e === "system",
    "dark:text-copy-light": e === "alt-system",
    "dark:text-copy-accent-dark": e === "system"
  },
  t
), we = ({
  animated: e
}) => l({
  "transition-opacity duration-300 ease-in": e
}), Ne = ({
  type: e,
  className: a,
  raw: t,
  mode: r,
  focusMode: s,
  disabled: o,
  fullWidth: n,
  size: d,
  noBorder: c,
  labelRight: g,
  labelLeft: m,
  noBackground: h,
  variant: b,
  truncate: y,
  align: S,
  radius: z,
  animated: C
}) => (b || (b = "primary"), t ? l(F, a) : l(
  F,
  ue({
    mode: r,
    variant: b,
    noBackground: h,
    truncate: y
  }),
  ye({ mode: r, noBackground: h, variant: b }),
  ke({ radius: z }),
  be({
    type: e,
    size: d,
    labelRight: g,
    labelLeft: m,
    align: S,
    animated: C
  }),
  me({ type: e, size: d, labelRight: g, labelLeft: m }),
  pe({ mode: r, variant: b, noBorder: c }),
  _e({ focusMode: s }),
  fe({ mode: r, variant: b, disabled: o }),
  ve({ mode: r, variant: b, disabled: o }),
  {
    "w-full": n,
    "disabled:cursor-not-allowed disabled:opacity-50": o
  },
  l({
    "transition-[width] duration-300 ease-in-out": e === E && C
  }),
  a
)), Ce = (e, a, t) => {
  var r;
  !a && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((r = e == null ? void 0 : e.currentTarget) == null ? void 0 : r.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, X = I.forwardRef((e, a) => {
  const { onClick: t, noInternalClick: r = !1, ...s } = e;
  return /* @__PURE__ */ i(
    "button",
    {
      ref: a,
      onClick: (o) => {
        Ce(o, r, t);
      },
      ...s
    }
  );
});
X.displayName = "BaseButton";
function Te() {
  const e = w(!1);
  return G(() => (e.current = !0, () => {
    e.current = !1;
  }), []), oe(() => e.current, []);
}
function Be(e) {
  return q(() => e.every((a) => a == null) ? () => {
  } : (a) => {
    e.forEach((t) => {
      typeof t == "function" ? t(a) : t != null && (t.current = a);
    });
  }, e);
}
const Ie = {
  x: 0,
  y: 0,
  width: 0,
  height: 0,
  top: 0,
  left: 0,
  bottom: 0,
  right: 0
};
function A(e) {
  const a = Te(), t = w(0), r = w(null), [s, o] = le(Ie), n = q(() => typeof ResizeObserver > "u" ? null : new ResizeObserver((d) => {
    const c = d[0];
    c && (cancelAnimationFrame(t.current), t.current = requestAnimationFrame(() => {
      r.current && a() && o(c.contentRect);
    }));
  }), [a]);
  return G(() => (r.current && (n == null || n.observe(r.current, e)), () => {
    n == null || n.disconnect(), t.current && cancelAnimationFrame(t.current);
  }), [n, e]), [r, s];
}
const Re = {
  small: 24,
  // w-6
  medium: 32,
  // w-8
  large: 48
  // w-12
}, Ee = {
  small: 8 * 2,
  // px-2 x 2
  medium: 12 * 2,
  // px-3 x 2
  large: 16 * 2
  // px-4 x 2
}, Se = 2, Y = I.forwardRef(
  ({
    children: e,
    disabled: a = !1,
    mode: t = "system",
    focusMode: r = "system",
    fullWidth: s = !1,
    className: o,
    type: n = "button",
    raw: d = !1,
    noBorder: c = !1,
    "aria-label": g,
    label: m,
    size: h = "medium",
    labelRight: b,
    labelLeft: y,
    noBackground: S = !1,
    align: z = "center",
    radius: C = "large",
    variant: J = "primary",
    iconClassName: K,
    animated: k = !1,
    ...Q
  }, ee) => {
    const te = Ne({
      type: E,
      mode: t,
      focusMode: r,
      fullWidth: s,
      disabled: a,
      raw: d,
      className: o,
      noBorder: c,
      size: h,
      labelRight: b,
      labelLeft: y,
      noBackground: S,
      align: z,
      radius: C,
      variant: J,
      animated: k
    }), ae = xe({ mode: t, raw: d, iconClassName: K }), j = we({ animated: k }), [u, V] = A(), [f, M] = A(), [T, W] = A(), L = w(0), v = w(null), re = Be([ee, v]);
    return D(() => {
      T && T.current && k && (L.current = W.width + Ee[h] + (c ? 0 : Se));
    }, [W, T, h, c, k]), D(() => {
      v && v.current && k && (b && u && V.width > 0 ? (u.current && (u.current.style.opacity = "100"), v.current.style.width = `${V.width + L.current}px`) : y && M.width > 0 ? (f.current && (f.current.style.opacity = "100"), v.current.style.width = `${M.width + L.current}px`) : (u.current && (u.current.style.opacity = "0"), f.current && (f.current.style.opacity = "0"), v.current.style.width = `${Re[h]}px`));
    }, [
      V,
      b,
      u,
      M,
      y,
      f,
      h,
      k
    ]), /* @__PURE__ */ _(
      X,
      {
        ref: re,
        className: te,
        disabled: a,
        type: n,
        "aria-label": g || m,
        ...Q,
        children: [
          /* @__PURE__ */ i(
            H,
            {
              label: y,
              labelRef: f,
              labelClass: j,
              labelInnerClass: "pr-2"
            }
          ),
          /* @__PURE__ */ i("span", { ref: T, className: ae, children: e }),
          /* @__PURE__ */ i(
            H,
            {
              label: b,
              labelRef: u,
              labelClass: j,
              labelInnerClass: "pl-2"
            }
          )
        ]
      }
    );
  }
), H = ({
  labelRef: e,
  labelClass: a,
  label: t,
  labelInnerClass: r
}) => /* @__PURE__ */ i("span", { ref: e, className: a, children: t && /* @__PURE__ */ i("span", { className: r, children: t }) });
Y.displayName = "ButtonIcon";
/*!
  @versini/ui-button v5.0.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "5.0.0",
    buildTime: "03/14/2025 02:24 PM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const Z = I.forwardRef(
  ({
    children: e,
    mode: a = "system",
    className: t,
    active: r = !1,
    ...s
  }, o) => {
    const n = r ? l(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": a === "dark",
        "after:border-table-light": a === "light",
        "after:border-table-dark dark:after:border-table-light": a === "system",
        "after:border-table-light dark:after:border-table-dark": a === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ i("div", { className: n, children: /* @__PURE__ */ i(
      Y,
      {
        className: l("justify-center", t),
        ref: o,
        mode: a,
        radius: "small",
        ...s,
        children: e
      }
    ) });
  }
);
Z.displayName = "ButtonSort";
const U = ({
  children: e,
  fill: a,
  viewBox: t,
  className: r,
  defaultViewBox: s,
  size: o,
  title: n,
  semantic: d = !1,
  ...c
}) => {
  const g = l(o, r);
  return /* @__PURE__ */ i(se, { children: /* @__PURE__ */ _(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      className: g,
      viewBox: t || s,
      fill: a || "currentColor",
      role: "img",
      "aria-hidden": !d,
      focusable: !1,
      ...c,
      children: [
        n && d && /* @__PURE__ */ i("title", { children: n }),
        e
      ]
    }
  ) });
};
/*!
  @versini/ui-svgicon v4.1.1
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "4.1.1",
    buildTime: "02/27/2025 03:46 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const ze = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ _(
  U,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort",
    ...s,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M297.4 137.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0l41.3-41.4V448c0 17.7 14.3 32 32 32s32-14.3 32-32V141.3l41.4 41.4c12.5 12.5 32.8 12.5 45.3 0 6.2-6.2 9.4-14.4 9.4-22.6s-3.1-16.4-9.4-22.6l-96-96c-6.3-6.4-14.5-9.5-22.7-9.5s-16.4 3.1-22.6 9.4z",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32v306.7l-41.4-41.3c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z" })
    ]
  }
), Ve = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ _(
  U,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Down",
    ...s,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M288 64c0-17.7 14.3-32 32-32h224c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h160c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32h-96c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32h-32c-17.7 0-32-14.3-32-32",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7V64c0-17.7-14.3-32-32-32S96 46.3 96 64v301.7l-32.4-35.3c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96c6.1 6.6 14.6 10.4 23.6 10.4" })
    ]
  }
), Me = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ _(
  U,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Up",
    ...s,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M288 64c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32h-32c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32h-96c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h160c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h224c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V146.3l-32.4 35.3c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32" })
    ]
  }
);
/*!
  @versini/ui-icons v4.8.1
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "4.8.1",
    buildTime: "02/27/2025 03:46 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const x = I.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), Ue = ({
  children: e,
  mode: a = "system",
  caption: t,
  compact: r,
  summary: s,
  className: o,
  wrapperClassName: n,
  maxHeight: d,
  stickyHeader: c,
  stickyFooter: g,
  ...m
}) => {
  const h = ie({
    mode: a,
    className: o,
    wrapperClassName: n,
    stickyHeader: c,
    stickyFooter: g
  });
  return /* @__PURE__ */ i(
    x.Provider,
    {
      value: { mode: a, stickyHeader: c, stickyFooter: g, compact: r },
      children: /* @__PURE__ */ i(
        "div",
        {
          className: h.wrapper,
          ...d && {
            style: { maxHeight: d }
          },
          children: /* @__PURE__ */ _("table", { className: h.table, summary: s, ...m, children: [
            t && /* @__PURE__ */ i("caption", { className: h.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, je = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = N(x);
  r.cellWrapper = R;
  const s = ne({
    className: a,
    mode: r.mode,
    stickyHeader: r.stickyHeader
  });
  return /* @__PURE__ */ i("thead", { className: s, ...t, children: e });
}, We = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = N(x);
  r.cellWrapper = P;
  const s = ce({
    className: a,
    mode: r.mode,
    stickyFooter: r.stickyFooter
  });
  return /* @__PURE__ */ i("tfoot", { className: s, ...t, children: e });
}, De = ({ children: e, ...a }) => {
  const t = N(x);
  return t.cellWrapper = p, /* @__PURE__ */ i("tbody", { ...a, children: e });
}, Fe = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = N(x), s = de({
    mode: r.mode,
    cellWrapper: r.cellWrapper,
    className: a
  });
  return /* @__PURE__ */ i("tr", { className: s, ...t, children: e });
}, Le = ({
  children: e,
  component: a,
  className: t,
  align: r,
  ...s
}) => {
  const o = N(x), n = a || (o.cellWrapper === R ? "th" : "td"), { mainClasses: d, alignClasses: c } = ge({
    cellWrapper: o.cellWrapper,
    className: t,
    mode: o.mode,
    compact: o.compact,
    align: r
  });
  return r ? /* @__PURE__ */ i(n, { className: d, ...s, children: /* @__PURE__ */ i("div", { className: c, children: e }) }) : /* @__PURE__ */ i(n, { className: d, ...s, children: e });
}, He = ({
  align: e,
  children: a,
  buttonClassName: t,
  className: r,
  component: s,
  focusMode: o = "alt-system",
  mode: n = "alt-system",
  onClick: d,
  sortDirection: c,
  sortedCell: g,
  cellId: m,
  ...h
}) => {
  const b = he({ buttonClassName: t });
  return /* @__PURE__ */ i(
    Le,
    {
      component: s,
      className: r,
      role: "columnheader",
      "aria-sort": c === B.ASC && g === m ? "ascending" : c === B.DESC && g === m ? "descending" : "other",
      ...h,
      children: /* @__PURE__ */ i(
        Z,
        {
          active: g === m,
          className: b,
          onClick: d,
          align: e,
          noBorder: !0,
          focusMode: o,
          mode: n,
          fullWidth: !0,
          labelRight: a,
          children: c === B.ASC && g === m ? /* @__PURE__ */ i(Me, { className: "size-4", monotone: !0 }) : c === B.DESC && g === m ? /* @__PURE__ */ i(Ve, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ i(ze, { className: "size-4", monotone: !0 })
        }
      )
    }
  );
};
export {
  Ue as Table,
  De as TableBody,
  Le as TableCell,
  He as TableCellSort,
  B as TableCellSortDirections,
  We as TableFooter,
  je as TableHead,
  Fe as TableRow
};
